Account

## Typedefs

typedef void(* | LinphoneAccountCbsRegistrationStateChangedCb) (LinphoneAccount *account, LinphoneRegistrationState state, const char *message)
| Callback for notifying when a registration state has changed for the account.
typedef struct _LinphoneAccount | LinphoneAccount
| Object that represents a Linphone Account.
typedef struct _LinphoneAccountParams | LinphoneAccountParams
| Object that is used to set the different parameters of a LinphoneAccount.
typedef struct _LinphoneAccountCbs | LinphoneAccountCbs
| An object to handle the callbacks for the handling of LinphoneAccount objects.
typedef struct _LinphoneConferenceSchedulerCbs | LinphoneConferenceSchedulerCbs
| An object to handle the callbacks of LinphoneConferenceScheduler object.
typedef struct _LinphonePushNotificationConfig | LinphonePushNotificationConfig
| Object holding push notification config that will be set in the contact URI parameters of the Contact header in the REGISTER, if the LinphoneAccountParams is configured to allow push notifications, see linphone_account_params_set_push_notification_allowed().

## Functions

LinphoneAccountParams * | linphone_core_create_account_params (LinphoneCore *core)
| Create an account params using default values from Linphone core.
LinphoneAccount * | linphone_core_create_account (LinphoneCore *core, LinphoneAccountParams *params)
| Create an account using given parameters, see linphone_core_create_account_params().
LinphoneStatus | linphone_core_add_account (LinphoneCore *core, LinphoneAccount *account)
| Add an account.
void | linphone_core_clear_accounts (LinphoneCore *core)
| Erase all account from config.
void | linphone_core_remove_account (LinphoneCore *core, LinphoneAccount *account)
| Removes an account.
const bctbx_list_t * | linphone_core_get_account_list (const LinphoneCore *core)
| Returns an unmodifiable list of entered accounts.
LinphoneAccount * | linphone_core_get_account_by_idkey (LinphoneCore *core, const char *idkey)
| Search for a LinphoneAccount by it's idkey.
LinphoneAccount * | linphone_core_get_default_account (const LinphoneCore *core)
| Returns the default account, that is the one used to determine the current identity.
void | linphone_core_set_default_account (LinphoneCore *core, LinphoneAccount *account)
| Sets the default account.
LinphoneAccount * | linphone_account_new (LinphoneCore *lc, LinphoneAccountParams *params)
| Create a new LinphoneAccount.
LinphoneAccount * | linphone_account_new_with_config (LinphoneCore *lc, LinphoneAccountParams *params, LinphoneProxyConfig *config)
| Create a new LinphoneAccount with a Proxy config backpointer.
LinphoneAccount * | linphone_account_clone (const LinphoneAccount *account)
| Instantiate a new account with values from source.
LinphoneAccount * | linphone_account_ref (LinphoneAccount *account)
| Take a reference on a LinphoneAccount.
void | linphone_account_unref (LinphoneAccount *account)
| Release a LinphoneAccount.
int | linphone_account_set_params (LinphoneAccount *account, LinphoneAccountParams *params)
| Set the LinphoneAccountParams used by this LinphoneAccount.
const LinphoneAccountParams * | linphone_account_get_params (const LinphoneAccount *account)
| Get the LinphoneAccountParams as read-only object.
void | linphone_account_add_custom_param (LinphoneAccount *account, const char *key, const char *value)
| Set one custom parameter to this LinphoneAccount.
const char * | linphone_account_get_custom_param (const LinphoneAccount *account, const char *key)
| Get the custom parameter with key to this LinphoneAccount.
void | linphone_account_set_user_data (LinphoneAccount *account, void *user_data)
| Assign a user pointer to the account.
void * | linphone_account_get_user_data (LinphoneAccount *account)
| Retrieve the user pointer associated with the account.
void | linphone_account_set_custom_header (LinphoneAccount *account, const char *header_name, const char *header_value)
| Set the value of a custom header sent to the server in REGISTERs request.
const char * | linphone_account_get_custom_header (LinphoneAccount *account, const char *header_name)
| Obtain the value of a header sent by the server in last answer to REGISTER.
void | linphone_account_set_dependency (LinphoneAccount *account, LinphoneAccount *depends_on)
| Mark this account as being dependent on the given one.
LinphoneAccount * | linphone_account_get_dependency (LinphoneAccount *account)
| Get the dependency of a LinphoneAccount.
LinphoneCore * | linphone_account_get_core (LinphoneAccount *account)
| Get the LinphoneCore object to which is associated the LinphoneAccount.
const LinphoneErrorInfo * | linphone_account_get_error_info (LinphoneAccount *account)
| Get detailed information why registration failed when the account state is LinphoneRegistrationFailed.
LinphoneAddress * | linphone_account_get_contact_address (LinphoneAccount *account)
| Return the contact address of the account.
void | linphone_account_set_contact_address (LinphoneAccount *account, const LinphoneAddress *addr)
| Set the contact address for the account.
LinphoneRegistrationState | linphone_account_get_state (LinphoneAccount *account)
| Get the registration state of the given account.
void | linphone_account_refresh_register (LinphoneAccount *account)
| Refresh a proxy registration.
void | linphone_account_pause_register (LinphoneAccount *account)
| Prevent an account from refreshing its registration.
LinphoneReason | linphone_account_get_error (LinphoneAccount *account)
| Get the reason why registration failed when the account state is LinphoneRegistrationFailed.
LinphoneTransportType | linphone_account_get_transport (LinphoneAccount *account)
| Get the transport from either service route, route or addr.
bool_t | linphone_account_is_avpf_enabled (LinphoneAccount *account)
| Indicates whether AVPF/SAVPF is being used for calls using this account.
bool_t | linphone_account_avpf_enabled (LinphoneAccount *account)
| Indicates whether AVPF/SAVPF is being used for calls using this account.
const LinphoneAuthInfo * | linphone_account_find_auth_info (LinphoneAccount *account)
| Find authentication info matching account, if any, similarly to linphone_core_find_auth_info.
int | linphone_account_get_unread_chat_message_count (const LinphoneAccount *account)
| Returns the unread chat message count for a given account.
bctbx_list_t * | linphone_account_get_chat_rooms (const LinphoneAccount *account)
| Returns the list of chat rooms for a given account.
int | linphone_account_get_missed_calls_count (const LinphoneAccount *account)
| Returns the missed calls count for a given account.
void | linphone_account_reset_missed_calls_count (LinphoneAccount *account)
| Re-sets the number of missed calls for this account to 0.
bctbx_list_t * | linphone_account_get_call_logs (const LinphoneAccount *account)
| Returns the list of call logs for a given account.
bctbx_list_t * | linphone_account_get_call_logs_for_address (const LinphoneAccount *account, const LinphoneAddress *remote_address)
| Returns the list of call logs for a given account.
void | linphone_account_clear_call_logs (const LinphoneAccount *account)
| Deletes all the call logs related to this account from the database.
bctbx_list_t * | linphone_account_get_conference_information_list (const LinphoneAccount *account)
| Returns the list of conference information for a given account.
bool_t | linphone_account_is_phone_number (const LinphoneAccount *account, const char *username)
| Detect if the given input is a phone number or not.
char * | linphone_account_normalize_phone_number (const LinphoneAccount *account, const char *username)
| Normalize a human readable phone number into a basic string.
LinphoneAddress * | linphone_account_normalize_sip_uri (LinphoneAccount *account, const char *username)
| Normalize a human readable sip uri into a fully qualified LinphoneAddress.
void | linphone_account_add_callbacks (LinphoneAccount *account, LinphoneAccountCbs *cbs)
| Add a listener in order to be notified of LinphoneAccount events.
void | linphone_account_remove_callbacks (LinphoneAccount *account, LinphoneAccountCbs *cbs)
| Remove a listener from a LinphoneAccount.
LinphoneAccountCbs * | linphone_account_get_current_callbacks (const LinphoneAccount *account)
| Gets the current LinphoneAccountCbs.
LinphoneAccountCbs * | linphone_account_cbs_new (void)
| Create a new account callbacks object.
LinphoneAccountCbs * | linphone_account_cbs_ref (LinphoneAccountCbs *cbs)
| Acquire a reference to the account callbacks object.
void | linphone_account_cbs_unref (LinphoneAccountCbs *cbs)
| Release reference to the account callbacks object.
void * | linphone_account_cbs_get_user_data (const LinphoneAccountCbs *cbs)
| Retrieve the user pointer associated with the account callbacks object.
void | linphone_account_cbs_set_user_data (LinphoneAccountCbs *cbs, void *user_data)
| Assign a user pointer to the account callbacks object.
LinphoneAccountCbsRegistrationStateChangedCb | linphone_account_cbs_get_registration_state_changed (const LinphoneAccountCbs *cbs)
| Get the registration state changed callback.
void | linphone_account_cbs_set_registration_state_changed (LinphoneAccountCbs *cbs, LinphoneAccountCbsRegistrationStateChangedCb cb)
| Set the registration state changed callback.
LinphoneAccountParams * | linphone_account_params_new (LinphoneCore *lc)
| Create a new LinphoneAccountParams object.
LinphoneAccountParams * | linphone_account_params_new_with_config (LinphoneCore *lc, int index)
| Create a new LinphoneAccountParams object from a configuration.
LinphoneAccountParams * | linphone_account_params_clone (const LinphoneAccountParams *params)
| Instantiate a new account params with values from source.
LinphoneAccountParams * | linphone_account_params_ref (LinphoneAccountParams *params)
| Take a reference on a LinphoneAccountParams.
void | linphone_account_params_unref (LinphoneAccountParams *params)
| Release a LinphoneAccountParams.
void | linphone_account_params_set_user_data (LinphoneAccountParams *params, void *user_data)
| Assign a user pointer to the account params.
void * | linphone_account_params_get_user_data (const LinphoneAccountParams *params)
| Retrieve the user pointer associated with the account params.
LinphoneStatus | linphone_account_params_set_server_address (LinphoneAccountParams *params, LinphoneAddress *server_address)
| Sets the proxy address.
MS2_DEPRECATED LinphoneStatus | linphone_account_params_set_server_addr (LinphoneAccountParams *params, const char *server_address)
| Sets the proxy address.
LinphoneStatus | linphone_account_params_set_identity_address (LinphoneAccountParams *params, LinphoneAddress *identity)
| Sets the user identity as a SIP address.
LinphoneStatus | linphone_account_params_set_routes_addresses (LinphoneAccountParams *params, const bctbx_list_t *routes)
| Sets a list of SIP route.
void | linphone_account_params_set_expires (LinphoneAccountParams *params, int expires)
| Sets the registration expiration time in seconds.
MS2_DEPRECATED void | linphone_account_params_set_register_enabled (LinphoneAccountParams *params, bool_t enable)
| Indicates either or not, REGISTRATION must be issued for this LinphoneAccountParams.
void | linphone_account_params_enable_register (LinphoneAccountParams *params, bool_t enable)
| Indicates either or not, REGISTRATION must be issued for this LinphoneAccountParams.
MS2_DEPRECATED void | linphone_account_params_set_publish_enabled (LinphoneAccountParams *params, bool_t enable)
| Indicates either or not, PUBLISH must be issued for this LinphoneAccountParams.
void | linphone_account_params_enable_publish (LinphoneAccountParams *params, bool_t enable)
| Indicates either or not, PUBLISH must be issued for this LinphoneAccountParams.
void | linphone_account_params_set_publish_expires (LinphoneAccountParams *params, int expires)
| Set the publish expiration time in second.
int | linphone_account_params_get_publish_expires (const LinphoneAccountParams *params)
| Get the publish expiration time in second.
MS2_DEPRECATED void | linphone_account_params_set_dial_escape_plus_enabled (LinphoneAccountParams *params, bool_t enable)
| Set whether liblinphone should replace "+" by international calling prefix in dialed numbers (passed to linphone_core_invite).
void | linphone_account_params_enable_dial_escape_plus (LinphoneAccountParams *params, bool_t enable)
| Set whether liblinphone should replace "+" by international calling prefix in dialed numbers (passed to linphone_core_invite).
void | linphone_account_params_set_international_prefix (LinphoneAccountParams *params, const char *prefix)
| Set an international prefix to be automatically prepended when inviting a number with linphone_core_invite(); This international prefix shall usually be the country code of the country where the user is living, without "+".
void | linphone_account_params_set_use_international_prefix_for_calls_and_chats (LinphoneAccountParams *params, bool_t enable)
| If enabled, the international prefix will automaticaly be used for calls and chats.
MS2_DEPRECATED void | linphone_account_params_set_quality_reporting_enabled (LinphoneAccountParams *params, bool_t enable)
| Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.
void | linphone_account_params_enable_quality_reporting (LinphoneAccountParams *params, bool_t enable)
| Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.
MS2_DEPRECATED bool_t | linphone_account_params_get_quality_reporting_enabled (const LinphoneAccountParams *params)
| Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.
bool_t | linphone_account_params_quality_reporting_enabled (const LinphoneAccountParams *params)
| Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.
void | linphone_account_params_set_quality_reporting_collector (LinphoneAccountParams *params, const char *collector)
| Set the route of the collector end-point when using quality reporting.
const char * | linphone_account_params_get_quality_reporting_collector (const LinphoneAccountParams *params)
| Get the route of the collector end-point when using quality reporting.
void | linphone_account_params_set_quality_reporting_interval (LinphoneAccountParams *params, int interval)
| Set the interval between 2 interval reports sending when using quality reporting.
int | linphone_account_params_get_quality_reporting_interval (const LinphoneAccountParams *params)
| Get the interval between interval reports when using quality reporting.
const char * | linphone_account_params_get_domain (const LinphoneAccountParams *params)
| Get the domain name of the given account params.
const char * | linphone_account_params_get_realm (const LinphoneAccountParams *params)
| Get the realm of the given account params.
void | linphone_account_params_set_realm (LinphoneAccountParams *params, const char *realm)
| Set the realm of the given account params.
bctbx_list_t * | linphone_account_params_get_routes_addresses (const LinphoneAccountParams *params)
| Gets the list of the routes set for this account params.
const LinphoneAddress * | linphone_account_params_get_identity_address (const LinphoneAccountParams *params)
| Get the identity address of the account params.
MS2_DEPRECATED const char * | linphone_account_params_get_identity (const LinphoneAccountParams *params)
| Get the identity of the account params.
MS2_DEPRECATED bool_t | linphone_account_params_get_publish_enabled (const LinphoneAccountParams *params)
| Tell if the PUBLISH is enabled.
bool_t | linphone_account_params_publish_enabled (const LinphoneAccountParams *params)
| Tell if the PUBLISH is enabled.
const LinphoneAddress * | linphone_account_params_get_server_address (const LinphoneAccountParams *params)
| Get the account params proxy address.
MS2_DEPRECATED const char * | linphone_account_params_get_server_addr (const LinphoneAccountParams *params)
| Get the account params proxy address.
int | linphone_account_params_get_expires (const LinphoneAccountParams *params)
| Get the account params expires.
MS2_DEPRECATED bool_t | linphone_account_params_get_register_enabled (const LinphoneAccountParams *params)
| Returns whether the account params is enabled or not.
bool_t | linphone_account_params_register_enabled (const LinphoneAccountParams *params)
| Returns whether the account params is enabled or not.
const char * | linphone_account_params_get_contact_parameters (const LinphoneAccountParams *params)
| Returns the contact parameters.
void | linphone_account_params_set_contact_parameters (LinphoneAccountParams *params, const char *contact_params)
| Set optional contact parameters that will be added to the contact information sent in the registration.
void | linphone_account_params_set_contact_uri_parameters (LinphoneAccountParams *params, const char *contact_uri_params)
| Set optional contact parameters that will be added to the contact information sent in the registration, inside the URI.
const char * | linphone_account_params_get_contact_uri_parameters (const LinphoneAccountParams *params)
| Return the contact URI parameters.
MS2_DEPRECATED bool_t | linphone_account_params_get_dial_escape_plus_enabled (const LinphoneAccountParams *params)
| Return whether or not the + should be replaced by 00.
bool_t | linphone_account_params_dial_escape_plus_enabled (const LinphoneAccountParams *params)
| Return whether or not the + should be replaced by 00.
const char * | linphone_account_params_get_international_prefix (const LinphoneAccountParams *params)
| Get the prefix set for this account params.
bool_t | linphone_account_params_get_use_international_prefix_for_calls_and_chats (const LinphoneAccountParams *params)
| Return whether or not the international prefix will automaticaly be used for calls and chats.
void | linphone_account_params_set_privacy (LinphoneAccountParams *params, LinphonePrivacyMask privacy)
| Set default privacy policy for all calls routed through this proxy.
LinphonePrivacyMask | linphone_account_params_get_privacy (const LinphoneAccountParams *params)
| Get default privacy policy for all calls routed through this proxy.
void | linphone_account_params_set_file_transfer_server (LinphoneAccountParams *params, const char *server_url)
| Set the http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.
const char * | linphone_account_params_get_file_transfer_server (const LinphoneAccountParams *params)
| Get the http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.
void | linphone_account_params_set_avpf_rr_interval (LinphoneAccountParams *params, uint8_t interval)
| Set the interval between regular RTCP reports when using AVPF/SAVPF.
uint8_t | linphone_account_params_get_avpf_rr_interval (const LinphoneAccountParams *params)
| Get the interval between regular RTCP reports when using AVPF/SAVPF.
LinphoneAVPFMode | linphone_account_params_get_avpf_mode (const LinphoneAccountParams *params)
| Get enablement status of RTCP feedback (also known as AVPF profile).
void | linphone_account_params_set_avpf_mode (LinphoneAccountParams *params, LinphoneAVPFMode mode)
| Enable the use of RTCP feedback (also known as AVPF profile).
const char * | linphone_account_params_get_ref_key (const LinphoneAccountParams *params)
| Get the persistent reference key associated to the account params.
void | linphone_account_params_set_ref_key (LinphoneAccountParams *params, const char *refkey)
| Associate a persistent reference key to the account params.
const char * | linphone_account_params_get_idkey (const LinphoneAccountParams *params)
| Get the idkey property of a LinphoneAccountParams.
void | linphone_account_params_set_idkey (LinphoneAccountParams *params, const char *idkey)
| Set the idkey property on the given account params.
LinphoneNatPolicy * | linphone_account_params_get_nat_policy (const LinphoneAccountParams *params)
| Get The policy that is used to pass through NATs/firewalls when using this account params.
void | linphone_account_params_set_nat_policy (LinphoneAccountParams *params, LinphoneNatPolicy *policy)
| Set the policy to use to pass through NATs/firewalls when using this account params.
MS2_DEPRECATED void | linphone_account_params_set_conference_factory_uri (LinphoneAccountParams *params, const char *uri)
| Set the conference factory uri.
void | linphone_account_params_set_conference_factory_address (LinphoneAccountParams *params, const LinphoneAddress *address)
| Set the conference factory uri.
void | linphone_account_params_set_audio_video_conference_factory_address (LinphoneAccountParams *params, const LinphoneAddress *address)
| Set the audio video conference factory uri.
MS2_DEPRECATED void | linphone_account_params_set_outbound_proxy_enabled (LinphoneAccountParams *params, bool_t enable)
| If enabled, the proxy will be used as the only route.
void | linphone_account_params_enable_outbound_proxy (LinphoneAccountParams *params, bool_t enable)
| If enabled, the proxy will be used as the only route.
MS2_DEPRECATED bool_t | linphone_account_params_get_outbound_proxy_enabled (const LinphoneAccountParams *params)
| Tell if the proxy is used as the only route.
bool_t | linphone_account_params_outbound_proxy_enabled (const LinphoneAccountParams *params)
| Tell if the proxy is used as the only route.
MS2_DEPRECATED const char * | linphone_account_params_get_conference_factory_uri (const LinphoneAccountParams *params)
| Get the conference factory uri.
const LinphoneAddress * | linphone_account_params_get_conference_factory_address (const LinphoneAccountParams *params)
| Get the conference factory uri.
const LinphoneAddress * | linphone_account_params_get_audio_video_conference_factory_address (const LinphoneAccountParams *params)
| Get the audio video conference factory uri.
void | linphone_account_params_set_push_notification_allowed (LinphoneAccountParams *params, bool_t allow)
| Indicates whether to add to the contact parameters the push notification information.
bool_t | linphone_account_params_get_push_notification_allowed (const LinphoneAccountParams *params)
| Indicates whether to add to the contact parameters the push notification information.
void | linphone_account_params_set_remote_push_notification_allowed (LinphoneAccountParams *params, bool_t allow)
| Indicates whether to add to the contact parameters the push notification information.
bool_t | linphone_account_params_get_remote_push_notification_allowed (const LinphoneAccountParams *params)
| Indicates whether to add to the contact parameters the push notification information.
bool_t | linphone_account_params_is_push_notification_available (const LinphoneAccountParams *params)
| Gets whether push notifications are available or not (Android & iOS only).
void | linphone_account_params_set_push_notification_config (LinphoneAccountParams *params, LinphonePushNotificationConfig *config)
| Sets the push notification configuration.
LinphonePushNotificationConfig * | linphone_account_params_get_push_notification_config (const LinphoneAccountParams *params)
| Returns the push notification configuration.
void | linphone_account_params_set_transport (LinphoneAccountParams *params, LinphoneTransportType transport)
| Sets the transport type of the server address.
LinphoneTransportType | linphone_account_params_get_transport (const LinphoneAccountParams *params)
| Returns the transport type of the server address.
void | linphone_account_params_enable_rtp_bundle (LinphoneAccountParams *params, bool_t value)
| Enables or disables RTP bundle mode (Media Multiplexing).
bool_t | linphone_account_params_rtp_bundle_enabled (const LinphoneAccountParams *params)
| Returns whether RTP bundle mode (also known as Media Multiplexing) is enabled.
void | linphone_account_params_enable_rtp_bundle_assumption (LinphoneAccountParams *params, bool_t value)
| Indicates whether support of rtp bundle is assumed.
bool_t | linphone_account_params_rtp_bundle_assumption_enabled (const LinphoneAccountParams *params)
| Returns whether RTP bundle mode is assumed.
bool_t | linphone_account_params_cpim_in_basic_chat_room_enabled (const LinphoneAccountParams *params)
| Indicates whether chat messages sent by this account in a LinphoneChatRoomBackendBasic chat room will be using CPIM format or not.
void | linphone_account_params_enable_cpim_in_basic_chat_room (LinphoneAccountParams *params, bool_t enable)
| Indicates whether chat messages sent by this account in a LinphoneChatRoomBackendBasic chat room will be using CPIM format or not.
void | linphone_account_params_add_custom_param (LinphoneAccountParams *params, const char *key, const char *value)
| Set one custom parameter to this LinphoneAccountParams.
const char * | linphone_account_params_get_custom_param (const LinphoneAccountParams *params, const char *key)
| Get the custom parameter with key to this LinphoneAccountParams.
void | linphone_account_params_set_custom_contact (LinphoneAccountParams *params, LinphoneAddress *contact)
| Set a an optional custom contact address to be used when registering to the SIP server.
const LinphoneAddress * | linphone_account_params_get_custom_contact (const LinphoneAccountParams *params)
| Get the custom contact address previously used when registering to the SIP server.
void | linphone_account_params_set_lime_server_url (LinphoneAccountParams *params, const char *url)
| Set the x3dh server url.
const char * | linphone_account_params_get_lime_server_url (const LinphoneAccountParams *params)
| Get the x3dh server url.
void | linphone_account_params_set_picture_uri (LinphoneAccountParams *params, const char *uri)
| Sets an URI for the account picture.
const char * | linphone_account_params_get_picture_uri (const LinphoneAccountParams *params)
| Gets the account picture URI if set, NULL otherwise.

## Detailed Description

## Typedef Documentation

## LinphoneAccount

typedef struct _LinphoneAccount LinphoneAccount

Object that represents a Linphone Account.

This object replaces the deprecated LinphoneProxyConfig. Use a LinphoneAccountParams object to configure it.

## LinphoneAccountCbsRegistrationStateChangedCb

typedef void(* LinphoneAccountCbsRegistrationStateChangedCb) (LinphoneAccount *account, LinphoneRegistrationState state, const char *message)

Callback for notifying when a registration state has changed for the account.

Parameters

  account | LinphoneAccount object whose registration state changed.
  state | The current LinphoneRegistrationState.
  message | A non NULL informational message about the state.

## LinphoneAccountParams

typedef struct _LinphoneAccountParams LinphoneAccountParams

Object that is used to set the different parameters of a LinphoneAccount.

Note that authenticated accounts should have a corresponding LinphoneAuthInfo added to the LinphoneCore to register properly.

## LinphonePushNotificationConfig

typedef struct _LinphonePushNotificationConfig LinphonePushNotificationConfig

Object holding push notification config that will be set in the contact URI parameters of the Contact header in the REGISTER, if the LinphoneAccountParams is configured to allow push notifications, see linphone_account_params_set_push_notification_allowed().

This object can be accessed through the LinphoneAccountParams object, which can be obtained from your LinphoneAccount object.

## Function Documentation

## linphone_account_add_callbacks()

void linphone_account_add_callbacks | ( | LinphoneAccount * | account,
|  | LinphoneAccountCbs * | cbs )

Add a listener in order to be notified of LinphoneAccount events.

Parameters

  account | The LinphoneAccount object to monitor.
  cbs | A LinphoneAccountCbs object holding the callbacks you need.

## linphone_account_add_custom_param()

void linphone_account_add_custom_param | ( | LinphoneAccount * | account,
|  | const char * | key,
|  | const char * | value )

Set one custom parameter to this LinphoneAccount.

Parameters

  account | The LinphoneAccount object.
  key | key of the searched parameter.
  value | value of the searched parameter.

## linphone_account_avpf_enabled()

bool_t linphone_account_avpf_enabled | ( | LinphoneAccount * | account | ) |

Indicates whether AVPF/SAVPF is being used for calls using this account.

Parameters

  account | The LinphoneAccount object.

Returns
  TRUE if AVPF/SAVPF is enabled, FALSE otherwise.

## linphone_account_cbs_get_registration_state_changed()

LinphoneAccountCbsRegistrationStateChangedCb linphone_account_cbs_get_registration_state_changed | ( | const LinphoneAccountCbs * | cbs | ) |

Get the registration state changed callback.

Parameters

  cbs | LinphoneAccountCbs object.

Returns
  The current registration state changed callback.

## linphone_account_cbs_get_user_data()

void * linphone_account_cbs_get_user_data | ( | const LinphoneAccountCbs * | cbs | ) |

Retrieve the user pointer associated with the account callbacks object.

Parameters

  cbs | The LinphoneAccountCbs object.

Returns
  The user pointer associated with the account callbacks object.

## linphone_account_cbs_new()

LinphoneAccountCbs * linphone_account_cbs_new | ( | void |  | ) |

Create a new account callbacks object.

Returns
  The LinphoneAccountCbs object.

## linphone_account_cbs_ref()

LinphoneAccountCbs * linphone_account_cbs_ref | ( | LinphoneAccountCbs * | cbs | ) |

Acquire a reference to the account callbacks object.

Parameters

  cbs | The LinphoneAccountCbs object.

Returns
  The same account callbacks object.

## linphone_account_cbs_set_registration_state_changed()

void linphone_account_cbs_set_registration_state_changed | ( | LinphoneAccountCbs * | cbs,
|  | LinphoneAccountCbsRegistrationStateChangedCb | cb )

Set the registration state changed callback.

Parameters

  cbs | LinphoneAccountCbs object.
  cb | The registration state changed callback to be used.

## linphone_account_cbs_set_user_data()

void linphone_account_cbs_set_user_data | ( | LinphoneAccountCbs * | cbs,
|  | void * | user_data )

Assign a user pointer to the account callbacks object.

Parameters

  cbs | The LinphoneAccountCbs object.
  user_data | The user pointer to associate with the account callbacks object.

## linphone_account_cbs_unref()

void linphone_account_cbs_unref | ( | LinphoneAccountCbs * | cbs | ) |

Release reference to the account callbacks object.

Parameters

  cbs | The LinphoneAccountCbs object.

## linphone_account_clear_call_logs()

void linphone_account_clear_call_logs | ( | const LinphoneAccount * | account | ) |

Deletes all the call logs related to this account from the database.

Parameters

  account | The LinphoneAccount object.

## linphone_account_clone()

LinphoneAccount * linphone_account_clone | ( | const LinphoneAccount * | account | ) |

Instantiate a new account with values from source.

Parameters

  account | The LinphoneAccount object to be cloned.

Returns
  The newly created LinphoneAccount object.

## linphone_account_find_auth_info()

const LinphoneAuthInfo * linphone_account_find_auth_info | ( | LinphoneAccount * | account | ) |

Find authentication info matching account, if any, similarly to linphone_core_find_auth_info.

Parameters

  account | The LinphoneAccount object.

Returns
  a LinphoneAuthInfo matching account criteria if possible, NULL if nothing can be found.

## linphone_account_get_call_logs()

bctbx_list_t * linphone_account_get_call_logs | ( | const LinphoneAccount * | account | ) |

Returns the list of call logs for a given account.

This list must be freed after use.

Parameters

  account | The LinphoneAccount object.

Returns
  The list of call logs .

## linphone_account_get_call_logs_for_address()

bctbx_list_t * linphone_account_get_call_logs_for_address | ( | const LinphoneAccount * | account,
|  | const LinphoneAddress * | remote_address )

Returns the list of call logs for a given account.

This list must be freed after use.

Parameters

  account | The LinphoneAccount object.
  remote_address | the LinphoneAddress object to filter call logs.

Returns
  The list of filtered call logs .

## linphone_account_get_chat_rooms()

bctbx_list_t * linphone_account_get_chat_rooms | ( | const LinphoneAccount * | account | ) |

Returns the list of chat rooms for a given account.

Parameters

  account | The LinphoneAccount object.

Returns
  The list of chat rooms .

## linphone_account_get_conference_information_list()

bctbx_list_t * linphone_account_get_conference_information_list | ( | const LinphoneAccount * | account | ) |

Returns the list of conference information for a given account.

This list must be freed after use.

Parameters

  account | The LinphoneAccount object.

Returns
  The list of call logs .

## linphone_account_get_contact_address()

LinphoneAddress * linphone_account_get_contact_address | ( | LinphoneAccount * | account | ) |

Return the contact address of the account.

Parameters

  account | The LinphoneAccount object.

Returns
  a LinphoneAddress correspong to the contact address of the account.

## linphone_account_get_core()

LinphoneCore * linphone_account_get_core | ( | LinphoneAccount * | account | ) |

Get the LinphoneCore object to which is associated the LinphoneAccount.

Parameters

  account | The LinphoneAccount object.

Returns
  The LinphoneCore object to which is associated the LinphoneAccount.

## linphone_account_get_current_callbacks()

LinphoneAccountCbs * linphone_account_get_current_callbacks | ( | const LinphoneAccount * | account | ) |

Gets the current LinphoneAccountCbs.

This is meant only to be called from a callback to be able to get the user_data associated with the LinphoneAccountCbs that is calling the callback.

Parameters

  account | The LinphoneAccount object.

Returns
  The LinphoneAccountCbs that has called the last callback.

## linphone_account_get_custom_header()

const char * linphone_account_get_custom_header | ( | LinphoneAccount * | account,
|  | const char * | header_name )

Obtain the value of a header sent by the server in last answer to REGISTER.

Parameters

  account | The LinphoneAccount object.
  header_name | The header name for which to fetch corresponding value.

Returns
  The value of the queried header.

## linphone_account_get_custom_param()

const char * linphone_account_get_custom_param | ( | const LinphoneAccount * | account,
|  | const char * | key )

Get the custom parameter with key to this LinphoneAccount.

Parameters

  account | The LinphoneAccount object.
  key | key of the searched parameter.

Returns
  The value of the parameter with key if found or an empty string otherwise.

## linphone_account_get_dependency()

LinphoneAccount * linphone_account_get_dependency | ( | LinphoneAccount * | account | ) |

Get the dependency of a LinphoneAccount.

Parameters

  account | The LinphoneAccount object.

Returns
  The account this one is dependent upon, or NULL if not marked dependent.

## linphone_account_get_error()

LinphoneReason linphone_account_get_error | ( | LinphoneAccount * | account | ) |

Get the reason why registration failed when the account state is LinphoneRegistrationFailed.

Parameters

  account | LinphoneAccount object.

Returns
  The LinphoneReason why registration failed for this account.

## linphone_account_get_error_info()

const LinphoneErrorInfo * linphone_account_get_error_info | ( | LinphoneAccount * | account | ) |

Get detailed information why registration failed when the account state is LinphoneRegistrationFailed.

Parameters

  account | The LinphoneAccount object.

Returns
  The LinphoneErrorInfo explaining why registration failed for this account.

## linphone_account_get_missed_calls_count()

int linphone_account_get_missed_calls_count | ( | const LinphoneAccount * | account | ) |

Returns the missed calls count for a given account.

Parameters

  account | The LinphoneAccount object.

Returns
  The missed calls count.

## linphone_account_get_params()

const LinphoneAccountParams * linphone_account_get_params | ( | const LinphoneAccount * | account | ) |

Get the LinphoneAccountParams as read-only object.

To make changes, clone the returned object using linphone_account_params_clone() method, make your changes on it and apply them using with linphone_account_set_params().

Parameters

  account | The LinphoneAccount object.

Returns
  The LinphoneAccountParams attached to this account.

## linphone_account_get_state()

LinphoneRegistrationState linphone_account_get_state | ( | LinphoneAccount * | account | ) |

Get the registration state of the given account.

Parameters

  account | The LinphoneAccount object.

Returns
  The LinphoneRegistrationState of the account.

## linphone_account_get_transport()

LinphoneTransportType linphone_account_get_transport | ( | LinphoneAccount * | account | ) |

Get the transport from either service route, route or addr.

Parameters

  account | The LinphoneAccount object.

Returns
  The transport as a string (I.E udp, tcp, tls, dtls).

Deprecated
  01/03/2021 Use Linphone_account_params_get_transport() instead.

## linphone_account_get_unread_chat_message_count()

int linphone_account_get_unread_chat_message_count | ( | const LinphoneAccount * | account | ) |

Returns the unread chat message count for a given account.

Parameters

  account | The LinphoneAccount object.

Returns
  The unread chat message count.

## linphone_account_get_user_data()

void * linphone_account_get_user_data | ( | LinphoneAccount * | account | ) |

Retrieve the user pointer associated with the account.

Parameters

  account | The LinphoneAccount object.

Returns
  The user data.

## linphone_account_is_avpf_enabled()

bool_t linphone_account_is_avpf_enabled | ( | LinphoneAccount * | account | ) |

Indicates whether AVPF/SAVPF is being used for calls using this account.

Parameters

  account | The LinphoneAccount object.

Returns
  TRUE if AVPF/SAVPF is enabled, FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_account_avpf_enabled() instead.

## linphone_account_is_phone_number()

bool_t linphone_account_is_phone_number | ( | const LinphoneAccount * | account,
|  | const char * | username )

Detect if the given input is a phone number or not.

Parameters

  account | The LinphoneAccount object, unused yet but may contain useful data. Can be NULL.
  username | The string to parse.

Returns
  TRUE if input is a phone number, FALSE otherwise.

## linphone_account_new()

LinphoneAccount * linphone_account_new | ( | LinphoneCore * | lc,
|  | LinphoneAccountParams * | params )

Create a new LinphoneAccount.

Parameters

  lc | The LinphoneCore object.
  params | The LinphoneAccountParams object.

Returns
  The newly created LinphoneAccount object.

## linphone_account_new_with_config()

LinphoneAccount * linphone_account_new_with_config | ( | LinphoneCore * | lc,
|  | LinphoneAccountParams * | params,
|  | LinphoneProxyConfig * | config )

Create a new LinphoneAccount with a Proxy config backpointer.

This is only intended to be used while keeping a backward compatibility with proxy config.

Parameters

  lc | The LinphoneCore object.
  params | The LinphoneAccountParams object.
  config | The LinphoneProxyConfig object.

Returns
  The newly created LinphoneAccount object.

## linphone_account_normalize_phone_number()

char * linphone_account_normalize_phone_number | ( | const LinphoneAccount * | account,
|  | const char * | username )

Normalize a human readable phone number into a basic string.

888-444-222 becomes 888444222 or +33888444222 depending on the LinphoneAccount object. This function will always generate a normalized username if input is a phone number.

Parameters

  account | The LinphoneAccount object containing country code and/or escape symbol. If NULL passed, will use default configuration.
  username | The string to parse.

Returns
  NULL if input is an invalid phone number, normalized phone number from username input otherwise.

## linphone_account_normalize_sip_uri()

LinphoneAddress * linphone_account_normalize_sip_uri | ( | LinphoneAccount * | account,
|  | const char * | username )

Normalize a human readable sip uri into a fully qualified LinphoneAddress.

A sip address should look like DisplayName <sip:username@domain:port> . Basically this function performs the following tasks

- if a phone number is entered, prepend country prefix and eventually escape the '+' by 00 of the proxy config.
- if no domain part is supplied, append the domain name of the proxy config. Returns NULL if no proxy is provided at this point.
- if no sip: is present, prepend it.

The result is a syntactically correct SIP address.

Parameters

  account | The LinphoneAccount object containing country code, escape symbol and/or domain name. Can be NULL if domain is already provided.
  username | The string to parse.

Returns
  NULL if invalid input, normalized sip address otherwise.

## linphone_account_params_add_custom_param()

void linphone_account_params_add_custom_param | ( | LinphoneAccountParams * | params,
|  | const char * | key,
|  | const char * | value )

Set one custom parameter to this LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.
  key | key of the searched parameter.
  value | value of the searched parameter.

## linphone_account_params_clone()

LinphoneAccountParams * linphone_account_params_clone | ( | const LinphoneAccountParams * | params | ) |

Instantiate a new account params with values from source.

Parameters

  params | The LinphoneAccountParams object to be cloned.

Returns
  The newly created LinphoneAccountParams object.

## linphone_account_params_cpim_in_basic_chat_room_enabled()

bool_t linphone_account_params_cpim_in_basic_chat_room_enabled | ( | const LinphoneAccountParams * | params | ) |

Indicates whether chat messages sent by this account in a LinphoneChatRoomBackendBasic chat room will be using CPIM format or not.

By default SIP SIMPLE format is used for "basic" chat rooms, CPIM is only used for LinphoneChatRoomBackendFlexisipChat chat rooms.

See also
  https://wiki.linphone.org/xwiki/wiki/public/view/Lib/Features/Instant%20Messaging/Reply%20to%20a%20specific%20message/

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if chat messages will be sent out in CPIM format, FALSE if chat messages will be sent out as SIP SIMPLE.

## linphone_account_params_dial_escape_plus_enabled()

bool_t linphone_account_params_dial_escape_plus_enabled | ( | const LinphoneAccountParams * | params | ) |

Return whether or not the + should be replaced by 00.

Parameters

  params | The LinphoneAccountParams object.

Returns
  Whether liblinphone should replace "+" by "00" in dialed numbers (passed to linphone_core_invite()).

## linphone_account_params_enable_cpim_in_basic_chat_room()

void linphone_account_params_enable_cpim_in_basic_chat_room | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates whether chat messages sent by this account in a LinphoneChatRoomBackendBasic chat room will be using CPIM format or not.

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to send messages in CPIM format, FALSE to keep using the SIP SIMPLE format.

## linphone_account_params_enable_dial_escape_plus()

void linphone_account_params_enable_dial_escape_plus | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Set whether liblinphone should replace "+" by international calling prefix in dialed numbers (passed to linphone_core_invite).

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to replace + by the international prefix, FALSE otherwise.

## linphone_account_params_enable_outbound_proxy()

void linphone_account_params_enable_outbound_proxy | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

If enabled, the proxy will be used as the only route.

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to enable, FALSE otherwise.

## linphone_account_params_enable_publish()

void linphone_account_params_enable_publish | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates either or not, PUBLISH must be issued for this LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.
  enable | If TRUE, publish will be engaged.

## linphone_account_params_enable_quality_reporting()

void linphone_account_params_enable_quality_reporting | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to store quality statistics and send them to the collector, FALSE to disable it.

## linphone_account_params_enable_register()

void linphone_account_params_enable_register | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates either or not, REGISTRATION must be issued for this LinphoneAccountParams.

Parameters

  params | LinphoneAccountParams object.
  enable | If TRUE, registration will be engaged.

## linphone_account_params_enable_rtp_bundle()

void linphone_account_params_enable_rtp_bundle | ( | LinphoneAccountParams * | params,
|  | bool_t | value )

Enables or disables RTP bundle mode (Media Multiplexing).

See https://datatracker.ietf.org/doc/html/rfc8843 for more information about the feature. When enabled, liblinphone will try to negociate the use of a single port for all streams when doing an outgoing call. It automatically enables rtcp-mux.

Parameters

  params | The LinphoneAccountParams object.
  value | a boolean to indicate whether the feature is to be enabled.

## linphone_account_params_enable_rtp_bundle_assumption()

void linphone_account_params_enable_rtp_bundle_assumption | ( | LinphoneAccountParams * | params,
|  | bool_t | value )

Indicates whether support of rtp bundle is assumed.

See linphone_account_params_enable_rtp_bundle() for background information about rtp bundle. Assumption that RTP bundling support allows interesting optimizations, such as not gathering RTCP candidates, and not gathering candidates for video stream when making an outgoing call. This setting is meaningful only if rtp bundle is enabled. See https://datatracker.ietf.org/doc/html/rfc8843 for more information about the feature.

Parameters

  params | The LinphoneAccountParams object.
  value | a boolean to indicate whether RTP bundle support can be assumed.

## linphone_account_params_get_audio_video_conference_factory_address()

const LinphoneAddress * linphone_account_params_get_audio_video_conference_factory_address | ( | const LinphoneAccountParams * | params | ) |

Get the audio video conference factory uri.

Parameters

  params | The LinphoneAccountParams object

Returns
  The LinphoneAddress of the audio video conference factory.

## linphone_account_params_get_avpf_mode()

LinphoneAVPFMode linphone_account_params_get_avpf_mode | ( | const LinphoneAccountParams * | params | ) |

Get enablement status of RTCP feedback (also known as AVPF profile).

Parameters

  params | The LinphoneAccountParams object.

Returns
  the enablement mode, which can be LinphoneAVPFDefault (use LinphoneCore's mode), LinphoneAVPFEnabled (avpf is enabled), or LinphoneAVPFDisabled (disabled).

## linphone_account_params_get_avpf_rr_interval()

uint8_t linphone_account_params_get_avpf_rr_interval | ( | const LinphoneAccountParams * | params | ) |

Get the interval between regular RTCP reports when using AVPF/SAVPF.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The interval in seconds.

## linphone_account_params_get_conference_factory_address()

const LinphoneAddress * linphone_account_params_get_conference_factory_address | ( | const LinphoneAccountParams * | params | ) |

Get the conference factory uri.

Parameters

  params | The LinphoneAccountParams object

Returns
  The LinphoneAddress of the conference factory.

## linphone_account_params_get_conference_factory_uri()

MS2_DEPRECATED const char * linphone_account_params_get_conference_factory_uri | ( | const LinphoneAccountParams * | params | ) |

Get the conference factory uri.

Parameters

  params | The LinphoneAccountParams object

Returns
  The uri of the conference factory.

## linphone_account_params_get_contact_parameters()

const char * linphone_account_params_get_contact_parameters | ( | const LinphoneAccountParams * | params | ) |

Returns the contact parameters.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The previously set contact parameters.

## linphone_account_params_get_contact_uri_parameters()

const char * linphone_account_params_get_contact_uri_parameters | ( | const LinphoneAccountParams * | params | ) |

Return the contact URI parameters.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The previously set contact URI parameters.

## linphone_account_params_get_custom_contact()

const LinphoneAddress * linphone_account_params_get_custom_contact | ( | const LinphoneAccountParams * | params | ) |

Get the custom contact address previously used when registering to the SIP server.

Parameters

  params | The LinphoneAccountParams object.

Returns
  a LinphoneAddress

## linphone_account_params_get_custom_param()

const char * linphone_account_params_get_custom_param | ( | const LinphoneAccountParams * | params,
|  | const char * | key )

Get the custom parameter with key to this LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.
  key | key of the searched parameter.

Returns
  The value of the parameter with key if found or an empty string otherwise.

## linphone_account_params_get_dial_escape_plus_enabled()

MS2_DEPRECATED bool_t linphone_account_params_get_dial_escape_plus_enabled | ( | const LinphoneAccountParams * | params | ) |

Return whether or not the + should be replaced by 00.

Parameters

  params | The LinphoneAccountParams object.

Returns
  Whether liblinphone should replace "+" by "00" in dialed numbers (passed to linphone_core_invite()).

Deprecated
  16/12/2021 Use linphone_account_params_dial_escape_plus_enabled() instead.

## linphone_account_params_get_domain()

const char * linphone_account_params_get_domain | ( | const LinphoneAccountParams * | params | ) |

Get the domain name of the given account params.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The domain name of the account params.

## linphone_account_params_get_expires()

int linphone_account_params_get_expires | ( | const LinphoneAccountParams * | params | ) |

Get the account params expires.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The duration of registration.

## linphone_account_params_get_file_transfer_server()

const char * linphone_account_params_get_file_transfer_server | ( | const LinphoneAccountParams * | params | ) |

Get the http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.

Parameters

  params | The LinphoneAccountParams object.

Returns
  URL of the file server like https://file.linphone.org/upload.php

Warning
  That function isn't implemented yet.

## linphone_account_params_get_identity()

MS2_DEPRECATED const char * linphone_account_params_get_identity | ( | const LinphoneAccountParams * | params | ) |

Get the identity of the account params.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The SIP identity that belongs to this account params.

Deprecated
  01/03/2021 Use linphone_account_params_get_identity_address() instead.

## linphone_account_params_get_identity_address()

const LinphoneAddress * linphone_account_params_get_identity_address | ( | const LinphoneAccountParams * | params | ) |

Get the identity address of the account params.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The SIP identity that belongs to this account params.

## linphone_account_params_get_idkey()

const char * linphone_account_params_get_idkey | ( | const LinphoneAccountParams * | params | ) |

Get the idkey property of a LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The idkey string, or NULL.

## linphone_account_params_get_international_prefix()

const char * linphone_account_params_get_international_prefix | ( | const LinphoneAccountParams * | params | ) |

Get the prefix set for this account params.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The international prefix.

## linphone_account_params_get_lime_server_url()

const char * linphone_account_params_get_lime_server_url | ( | const LinphoneAccountParams * | params | ) |

Get the x3dh server url.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The x3dh server url.

## linphone_account_params_get_nat_policy()

LinphoneNatPolicy * linphone_account_params_get_nat_policy | ( | const LinphoneAccountParams * | params | ) |

Get The policy that is used to pass through NATs/firewalls when using this account params.

If it is set to NULL, the default NAT policy from the core will be used instead.

Parameters

  params | The LinphoneAccountParams object

Returns
  The LinphoneNatPolicy object in use.

See also
  linphone_core_get_nat_policy()

## linphone_account_params_get_outbound_proxy_enabled()

MS2_DEPRECATED bool_t linphone_account_params_get_outbound_proxy_enabled | ( | const LinphoneAccountParams * | params | ) |

Tell if the proxy is used as the only route.

Parameters

  params | The LinphoneAccountParams object.

Returns
  enable TRUE if enabled, FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_account_params_outbound_proxy_enabled() instead.

## linphone_account_params_get_picture_uri()

const char * linphone_account_params_get_picture_uri | ( | const LinphoneAccountParams * | params | ) |

Gets the account picture URI if set, NULL otherwise.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The account picture URI.

## linphone_account_params_get_privacy()

LinphonePrivacyMask linphone_account_params_get_privacy | ( | const LinphoneAccountParams * | params | ) |

Get default privacy policy for all calls routed through this proxy.

Parameters

  params | The LinphoneAccountParams object.

Returns
  Privacy mode as LinphonePrivacyMask

## linphone_account_params_get_publish_enabled()

MS2_DEPRECATED bool_t linphone_account_params_get_publish_enabled | ( | const LinphoneAccountParams * | params | ) |

Tell if the PUBLISH is enabled.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if PUBLISH request is enabled for this proxy.

Deprecated
  16/12/2021 Use linphone_account_params_publish_enabled() instead.

## linphone_account_params_get_publish_expires()

int linphone_account_params_get_publish_expires | ( | const LinphoneAccountParams * | params | ) |

Get the publish expiration time in second.

Default value is the registration expiration value.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The expire time in seconds.

## linphone_account_params_get_push_notification_allowed()

bool_t linphone_account_params_get_push_notification_allowed | ( | const LinphoneAccountParams * | params | ) |

Indicates whether to add to the contact parameters the push notification information.

For IOS, it indicates for VOIP push notification.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if push notification informations should be added, FALSE otherwise.

## linphone_account_params_get_push_notification_config()

LinphonePushNotificationConfig * linphone_account_params_get_push_notification_config | ( | const LinphoneAccountParams * | params | ) |

Returns the push notification configuration.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The LinphonePushNotificationConfig object.

## linphone_account_params_get_quality_reporting_collector()

const char * linphone_account_params_get_quality_reporting_collector | ( | const LinphoneAccountParams * | params | ) |

Get the route of the collector end-point when using quality reporting.

This SIP address should be used on server-side to process packets directly before discarding packets. Collector address should be a non existing account and will not receive any messages. If NULL, reports will be send to the proxy domain.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The SIP address of the collector end-point.

## linphone_account_params_get_quality_reporting_enabled()

MS2_DEPRECATED bool_t linphone_account_params_get_quality_reporting_enabled | ( | const LinphoneAccountParams * | params | ) |

Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if quality repotring is enabled, FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_account_params_quality_reporting_enabled() instead.

## linphone_account_params_get_quality_reporting_interval()

int linphone_account_params_get_quality_reporting_interval | ( | const LinphoneAccountParams * | params | ) |

Get the interval between interval reports when using quality reporting.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The interval in seconds, 0 means interval reports are disabled.

## linphone_account_params_get_realm()

const char * linphone_account_params_get_realm | ( | const LinphoneAccountParams * | params | ) |

Get the realm of the given account params.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The realm of the account params.

## linphone_account_params_get_ref_key()

const char * linphone_account_params_get_ref_key | ( | const LinphoneAccountParams * | params | ) |

Get the persistent reference key associated to the account params.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The reference key string that has been associated to the account params, or NULL if none has been associated.

## linphone_account_params_get_register_enabled()

MS2_DEPRECATED bool_t linphone_account_params_get_register_enabled | ( | const LinphoneAccountParams * | params | ) |

Returns whether the account params is enabled or not.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if registration to the proxy is enabled.

Deprecated
  16/12/2021 Use linphone_account_params_register_enabled() instead.

## linphone_account_params_get_remote_push_notification_allowed()

bool_t linphone_account_params_get_remote_push_notification_allowed | ( | const LinphoneAccountParams * | params | ) |

Indicates whether to add to the contact parameters the push notification information.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if remote push notification informations should be added, FALSE otherwise.

## linphone_account_params_get_routes_addresses()

bctbx_list_t * linphone_account_params_get_routes_addresses | ( | const LinphoneAccountParams * | params | ) |

Gets the list of the routes set for this account params.

Warning
  If linphone_account_params_is_outbound_proxy_enabled is TRUE then it will only return the proxy address.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The list of routes.

## linphone_account_params_get_server_addr()

MS2_DEPRECATED const char * linphone_account_params_get_server_addr | ( | const LinphoneAccountParams * | params | ) |

Get the account params proxy address.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The proxy's SIP address.

Deprecated
  01/03/2021 Use linphone_account_params_get_server_address() instead.

## linphone_account_params_get_server_address()

const LinphoneAddress * linphone_account_params_get_server_address | ( | const LinphoneAccountParams * | params | ) |

Get the account params proxy address.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The proxy's SIP LinphoneAddress.

## linphone_account_params_get_transport()

LinphoneTransportType linphone_account_params_get_transport | ( | const LinphoneAccountParams * | params | ) |

Returns the transport type of the server address.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The LinphoneTransportType of the server address.

## linphone_account_params_get_use_international_prefix_for_calls_and_chats()

bool_t linphone_account_params_get_use_international_prefix_for_calls_and_chats | ( | const LinphoneAccountParams * | params | ) |

Return whether or not the international prefix will automaticaly be used for calls and chats.

Parameters

  params | The LinphoneAccountParams object.

Returns
  Whether we should use international prefix automatically for calls.

## linphone_account_params_get_user_data()

void * linphone_account_params_get_user_data | ( | const LinphoneAccountParams * | params | ) |

Retrieve the user pointer associated with the account params.

Parameters

  params | The LinphoneAccountParams object.

Returns
  The user data.

## linphone_account_params_is_push_notification_available()

bool_t linphone_account_params_is_push_notification_available | ( | const LinphoneAccountParams * | params | ) |

Gets whether push notifications are available or not (Android & iOS only).

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if push notifications are available, FALSE otherwise

## linphone_account_params_new()

LinphoneAccountParams * linphone_account_params_new | ( | LinphoneCore * | lc | ) |

Create a new LinphoneAccountParams object.

Parameters

  lc | The LinphoneCore object.

Returns
  The newly created LinphoneAccountParams object.

## linphone_account_params_new_with_config()

LinphoneAccountParams * linphone_account_params_new_with_config | ( | LinphoneCore * | lc,
|  | int | index )

Create a new LinphoneAccountParams object from a configuration.

Parameters

  lc | The LinphoneCore object.
  index | The index of the configuration.

Returns
  The newly created LinphoneAccountParams object.

## linphone_account_params_outbound_proxy_enabled()

bool_t linphone_account_params_outbound_proxy_enabled | ( | const LinphoneAccountParams * | params | ) |

Tell if the proxy is used as the only route.

Parameters

  params | The LinphoneAccountParams object.

Returns
  enable TRUE if enabled, FALSE otherwise.

## linphone_account_params_publish_enabled()

bool_t linphone_account_params_publish_enabled | ( | const LinphoneAccountParams * | params | ) |

Tell if the PUBLISH is enabled.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if PUBLISH request is enabled for this proxy.

## linphone_account_params_quality_reporting_enabled()

bool_t linphone_account_params_quality_reporting_enabled | ( | const LinphoneAccountParams * | params | ) |

Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if quality repotring is enabled, FALSE otherwise.

## linphone_account_params_ref()

LinphoneAccountParams * linphone_account_params_ref | ( | LinphoneAccountParams * | params | ) |

Take a reference on a LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.

Returns
  the same LinphoneAccountParams object.

## linphone_account_params_register_enabled()

bool_t linphone_account_params_register_enabled | ( | const LinphoneAccountParams * | params | ) |

Returns whether the account params is enabled or not.

Parameters

  params | The LinphoneAccountParams object.

Returns
  TRUE if registration to the proxy is enabled.

## linphone_account_params_rtp_bundle_assumption_enabled()

bool_t linphone_account_params_rtp_bundle_assumption_enabled | ( | const LinphoneAccountParams * | params | ) |

Returns whether RTP bundle mode is assumed.

See https://datatracker.ietf.org/doc/html/rfc8843 for more information.

Parameters

  params | The LinphoneAccountParams object.

Returns
  a boolean indicating when rtp bundle support is assumed.

## linphone_account_params_rtp_bundle_enabled()

bool_t linphone_account_params_rtp_bundle_enabled | ( | const LinphoneAccountParams * | params | ) |

Returns whether RTP bundle mode (also known as Media Multiplexing) is enabled.

See https://datatracker.ietf.org/doc/html/rfc8843 for more information.

Parameters

  params | The LinphoneAccountParams object.

Returns
  a boolean indicating the enablement of rtp bundle mode.

## linphone_account_params_set_audio_video_conference_factory_address()

void linphone_account_params_set_audio_video_conference_factory_address | ( | LinphoneAccountParams * | params,
|  | const LinphoneAddress * | address )

Set the audio video conference factory uri.

Parameters

  params | The LinphoneAccountParams object
  address | The LinphoneAddress to set.
  uri | The uri of the audio video conference factory.

## linphone_account_params_set_avpf_mode()

void linphone_account_params_set_avpf_mode | ( | LinphoneAccountParams * | params,
|  | LinphoneAVPFMode | mode )

Enable the use of RTCP feedback (also known as AVPF profile).

Parameters

  params | The LinphoneAccountParams object.
  mode | the enablement mode, which can be LinphoneAVPFDefault (use LinphoneCore's mode), LinphoneAVPFEnabled (avpf is enabled), or LinphoneAVPFDisabled (disabled).

## linphone_account_params_set_avpf_rr_interval()

void linphone_account_params_set_avpf_rr_interval | ( | LinphoneAccountParams * | params,
|  | uint8_t | interval )

Set the interval between regular RTCP reports when using AVPF/SAVPF.

Parameters

  params | The LinphoneAccountParams object.
  interval | The interval in seconds (between 0 and 5 seconds).

## linphone_account_params_set_conference_factory_address()

void linphone_account_params_set_conference_factory_address | ( | LinphoneAccountParams * | params,
|  | const LinphoneAddress * | address )

Set the conference factory uri.

Parameters

  params | The LinphoneAccountParams object
  address | The LinphoneAddress to set.
  uri | The uri of the conference factory as a LinphoneAddress.

## linphone_account_params_set_conference_factory_uri()

MS2_DEPRECATED void linphone_account_params_set_conference_factory_uri | ( | LinphoneAccountParams * | params,
|  | const char * | uri )

Set the conference factory uri.

Parameters

  params | The LinphoneAccountParams object
  uri | The uri of the conference factory.

Deprecated
  16/08/2023 Use linphone_account_params_set_conference_factory_address() instead.

## linphone_account_params_set_contact_parameters()

void linphone_account_params_set_contact_parameters | ( | LinphoneAccountParams * | params,
|  | const char * | contact_params )

Set optional contact parameters that will be added to the contact information sent in the registration.

Parameters

  params | The LinphoneAccountParams object.
  contact_params | A string contaning the additional parameters in text form, like "myparam=something;myparam2=something_else"

The main use case for this function is provide the proxy additional information regarding the user agent, like for example unique identifier or apple push id. As an example, the contact address in the SIP register sent will look like <sip:joe@1.nosp@m.5.12.nosp@m.8.128.nosp@m..93:50421>;apple-push-id=43143-DFE23F-2323-FA2232.

## linphone_account_params_set_contact_uri_parameters()

void linphone_account_params_set_contact_uri_parameters | ( | LinphoneAccountParams * | params,
|  | const char * | contact_uri_params )

Set optional contact parameters that will be added to the contact information sent in the registration, inside the URI.

Parameters

  params | The LinphoneAccountParams object.
  contact_uri_params | A string containing the additional parameters in text form, like "myparam=something;myparam2=something_else"

The main use case for this function is provide the proxy additional information regarding the user agent, like for example unique identifier or apple push id. As an example, the contact address in the SIP register sent will look like <sip:joe@1.nosp@m.5.12.nosp@m.8.128.nosp@m..93:50421;apple-push-id=43143-DFE23F-2323-FA2232>.

## linphone_account_params_set_custom_contact()

void linphone_account_params_set_custom_contact | ( | LinphoneAccountParams * | params,
|  | LinphoneAddress * | contact )

Set a an optional custom contact address to be used when registering to the SIP server.

This is typically used to supply an alternative SIP address to call in case the main one is not reachable.

Parameters

  params | The LinphoneAccountParams object.
  contact | a LinphoneAddress the optional alternative contact address.

## linphone_account_params_set_dial_escape_plus_enabled()

MS2_DEPRECATED void linphone_account_params_set_dial_escape_plus_enabled | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Set whether liblinphone should replace "+" by international calling prefix in dialed numbers (passed to linphone_core_invite).

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to replace + by the international prefix, FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_account_params_enable_dial_escape_plus() instead.

## linphone_account_params_set_expires()

void linphone_account_params_set_expires | ( | LinphoneAccountParams * | params,
|  | int | expires )

Sets the registration expiration time in seconds.

Parameters

  params | LinphoneAccountParams object.
  expires | The expiration time to set.

## linphone_account_params_set_file_transfer_server()

void linphone_account_params_set_file_transfer_server | ( | LinphoneAccountParams * | params,
|  | const char * | server_url )

Set the http file transfer server to be used for content type application/vnd.gsma.rcs-ft-http+xml.

Parameters

  params | The LinphoneAccountParams object.
  server_url | URL of the file server like https://file.linphone.org/upload.php

Warning
  That function isn't implemented yet.

## linphone_account_params_set_identity_address()

LinphoneStatus linphone_account_params_set_identity_address | ( | LinphoneAccountParams * | params,
|  | LinphoneAddress * | identity )

Sets the user identity as a SIP address.

This identity is normally formed with display name, username and domain, such as: Alice <sip:alice.nosp@m.@exa.nosp@m.mple..nosp@m.net> The REGISTER messages will have from and to set to this identity.

Parameters

  params | The LinphoneAccountParams object.
  identity | The LinphoneAddress of the identity to set.

Returns
  0 if successful, -1 otherwise.

## linphone_account_params_set_idkey()

void linphone_account_params_set_idkey | ( | LinphoneAccountParams * | params,
|  | const char * | idkey )

Set the idkey property on the given account params.

This property can the be referenced by another account params 'depends_on' to create a dependency relation between them.

Parameters

  params | The LinphoneAccountParams object.
  idkey | The idkey string to associate to the given LinphoneAccountParams.

## linphone_account_params_set_international_prefix()

void linphone_account_params_set_international_prefix | ( | LinphoneAccountParams * | params,
|  | const char * | prefix )

Set an international prefix to be automatically prepended when inviting a number with linphone_core_invite(); This international prefix shall usually be the country code of the country where the user is living, without "+".

Parameters

  params | The LinphoneAccountParams object.
  prefix | The prefix to set (withouth the +).

## linphone_account_params_set_lime_server_url()

void linphone_account_params_set_lime_server_url | ( | LinphoneAccountParams * | params,
|  | const char * | url )

Set the x3dh server url.

If empty, this function will disable LIME X3DH from core. Otherwise, or if different from the existing value, this will (re-)initialize the LIME X3DH engine.

Parameters

  params | The LinphoneAccountParams object.
  url | The x3dh server url.

## linphone_account_params_set_nat_policy()

void linphone_account_params_set_nat_policy | ( | LinphoneAccountParams * | params,
|  | LinphoneNatPolicy * | policy )

Set the policy to use to pass through NATs/firewalls when using this account params.

If it is set to NULL, the default NAT policy from the core will be used instead.

Parameters

  params | The LinphoneAccountParams object
  policy | The LinphoneNatPolicy object.

See also
  linphone_core_set_nat_policy()

## linphone_account_params_set_outbound_proxy_enabled()

MS2_DEPRECATED void linphone_account_params_set_outbound_proxy_enabled | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

If enabled, the proxy will be used as the only route.

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to enable, FALSE otherwise.

Deprecated
  16/12/2021 Use linphone_account_params_enable_outbound_proxy() instead.

## linphone_account_params_set_picture_uri()

void linphone_account_params_set_picture_uri | ( | LinphoneAccountParams * | params,
|  | const char * | uri )

Sets an URI for the account picture.

Parameters

  params | The LinphoneAccountParams object.
  uri | The account picture URI.

## linphone_account_params_set_privacy()

void linphone_account_params_set_privacy | ( | LinphoneAccountParams * | params,
|  | LinphonePrivacyMask | privacy )

Set default privacy policy for all calls routed through this proxy.

Parameters

  params | The LinphoneAccountParams object.
  privacy | LinphonePrivacy to configure privacy

## linphone_account_params_set_publish_enabled()

MS2_DEPRECATED void linphone_account_params_set_publish_enabled | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates either or not, PUBLISH must be issued for this LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.
  enable | If TRUE, publish will be engaged.

Deprecated
  16/12/2021 Use linphone_account_params_enable_publish() instead.

## linphone_account_params_set_publish_expires()

void linphone_account_params_set_publish_expires | ( | LinphoneAccountParams * | params,
|  | int | expires )

Set the publish expiration time in second.

Parameters

  params | The LinphoneAccountParams object.
  expires | The expire time in seconds.

## linphone_account_params_set_push_notification_allowed()

void linphone_account_params_set_push_notification_allowed | ( | LinphoneAccountParams * | params,
|  | bool_t | allow )

Indicates whether to add to the contact parameters the push notification information.

For IOS, it indicates for VOIP push notification.

Parameters

  params | The LinphoneAccountParams object.
  allow | TRUE to allow push notification information, FALSE otherwise.

## linphone_account_params_set_push_notification_config()

void linphone_account_params_set_push_notification_config | ( | LinphoneAccountParams * | params,
|  | LinphonePushNotificationConfig * | config )

Sets the push notification configuration.

Parameters

  params | The LinphoneAccountParams object.
  config | The LinphonePushNotificationConfig object.

## linphone_account_params_set_quality_reporting_collector()

void linphone_account_params_set_quality_reporting_collector | ( | LinphoneAccountParams * | params,
|  | const char * | collector )

Set the route of the collector end-point when using quality reporting.

This SIP address should be used on server-side to process packets directly before discarding packets. Collector address should be a non existing account and will not receive any messages. If NULL, reports will be send to the proxy domain.

Parameters

  params | The LinphoneAccountParams object.
  collector | route of the collector end-point, if NULL PUBLISH will be sent to the proxy domain.

## linphone_account_params_set_quality_reporting_enabled()

MS2_DEPRECATED void linphone_account_params_set_quality_reporting_enabled | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates whether quality statistics during call should be stored and sent to a collector according to RFC 6035.

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to store quality statistics and send them to the collector, FALSE to disable it.

Deprecated
  16/12/2021 Use linphone_account_params_enable_quality_reporting() instead.

## linphone_account_params_set_quality_reporting_interval()

void linphone_account_params_set_quality_reporting_interval | ( | LinphoneAccountParams * | params,
|  | int | interval )

Set the interval between 2 interval reports sending when using quality reporting.

If call exceed interval size, an interval report will be sent to the collector. On call termination, a session report will be sent for the remaining period. Value must be 0 (disabled) or positive.

Parameters

  params | The LinphoneAccountParams object.
  interval | The interval in seconds, 0 means interval reports are disabled.

## linphone_account_params_set_realm()

void linphone_account_params_set_realm | ( | LinphoneAccountParams * | params,
|  | const char * | realm )

Set the realm of the given account params.

Parameters

  params | The LinphoneAccountParams object.
  realm | New realm value.

## linphone_account_params_set_ref_key()

void linphone_account_params_set_ref_key | ( | LinphoneAccountParams * | params,
|  | const char * | refkey )

Associate a persistent reference key to the account params.

The reference key can be for example an id to an external database. It is stored in the config file, thus can survive to process exits/restarts.

Parameters

  params | The LinphoneAccountParams object.
  refkey | The reference key string to associate to the account params.

## linphone_account_params_set_register_enabled()

MS2_DEPRECATED void linphone_account_params_set_register_enabled | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

Indicates either or not, REGISTRATION must be issued for this LinphoneAccountParams.

Parameters

  params | LinphoneAccountParams object.
  enable | If TRUE, registration will be engaged.

Deprecated
  16/12/2021 Use linphone_account_params_enable_register() instead.

## linphone_account_params_set_remote_push_notification_allowed()

void linphone_account_params_set_remote_push_notification_allowed | ( | LinphoneAccountParams * | params,
|  | bool_t | allow )

Indicates whether to add to the contact parameters the push notification information.

Parameters

  params | The LinphoneAccountParams object.
  allow | TRUE to allow remote push notification information, FALSE otherwise.

## linphone_account_params_set_routes_addresses()

LinphoneStatus linphone_account_params_set_routes_addresses | ( | LinphoneAccountParams * | params,
|  | const bctbx_list_t * | routes )

Sets a list of SIP route.

When a route is set, all outgoing calls will go to the route's destination if this account is the default one (see linphone_core_set_default_account()).

Warning
  This function cannot be used if linphone_account_params_is_outbound_proxy_enabled is TRUE.

Parameters

  params | The LinphoneAccountParams object.
  routes | A list of routes.

Returns
  -1 if routes are invalid, 0 otherwise.

## linphone_account_params_set_server_addr()

MS2_DEPRECATED LinphoneStatus linphone_account_params_set_server_addr | ( | LinphoneAccountParams * | params,
|  | const char * | server_address )

Sets the proxy address.

Examples of valid sip proxy address are:

- IP address: sip:87.98.157.38
- IP address with port: sip:87.98.157.38:5062
- hostnames : sip:sip.example.net

Parameters

  params | The LinphoneAccountParams object.
  server_address | The proxy address to set.

Returns
  0 if successful, -1 otherwise.

Deprecated
  01/03/2021 Use linphone_account_params_set_server_address() instead.

## linphone_account_params_set_server_address()

LinphoneStatus linphone_account_params_set_server_address | ( | LinphoneAccountParams * | params,
|  | LinphoneAddress * | server_address )

Sets the proxy address.

Examples of valid sip proxy address are:

- IP address: sip:87.98.157.38
- IP address with port: sip:87.98.157.38:5062
- hostnames : sip:sip.example.net

Parameters

  params | The LinphoneAccountParams object.
  server_address | The proxy as LinphoneAddress to set.

Returns
  0 if successful, -1 otherwise.

## linphone_account_params_set_transport()

void linphone_account_params_set_transport | ( | LinphoneAccountParams * | params,
|  | LinphoneTransportType | transport )

Sets the transport type of the server address.

Parameters

  params | The LinphoneAccountParams object.
  transport | The LinphoneTransportType to set.

## linphone_account_params_set_use_international_prefix_for_calls_and_chats()

void linphone_account_params_set_use_international_prefix_for_calls_and_chats | ( | LinphoneAccountParams * | params,
|  | bool_t | enable )

If enabled, the international prefix will automaticaly be used for calls and chats.

Parameters

  params | The LinphoneAccountParams object.
  enable | TRUE to use the international prefix for calls, FALSE otherwise.

## linphone_account_params_set_user_data()

void linphone_account_params_set_user_data | ( | LinphoneAccountParams * | params,
|  | void * | user_data )

Assign a user pointer to the account params.

Parameters

  params | The LinphoneAccountParams object.
  user_data | The user data.

## linphone_account_params_unref()

void linphone_account_params_unref | ( | LinphoneAccountParams * | params | ) |

Release a LinphoneAccountParams.

Parameters

  params | The LinphoneAccountParams object.

## linphone_account_pause_register()

void linphone_account_pause_register | ( | LinphoneAccount * | account | ) |

Prevent an account from refreshing its registration.

This is useful to let registrations to expire naturally (or) when the application wants to keep control on when refreshes are sent. However, linphone_core_set_network_reachable(lc,TRUE) will always request the accounts to refresh their registrations. The refreshing operations can be resumed with linphone_account_refresh_register().

Parameters

  account | The LinphoneAccount object.

## linphone_account_ref()

LinphoneAccount * linphone_account_ref | ( | LinphoneAccount * | account | ) |

Take a reference on a LinphoneAccount.

Parameters

  account | The LinphoneAccount object.

Returns
  the same LinphoneAccount object.

## linphone_account_refresh_register()

void linphone_account_refresh_register | ( | LinphoneAccount * | account | ) |

Refresh a proxy registration.

This is useful if for example you resuming from suspend, thus IP address may have changed.

Parameters

  account | LinphoneAccount object.

## linphone_account_remove_callbacks()

void linphone_account_remove_callbacks | ( | LinphoneAccount * | account,
|  | LinphoneAccountCbs * | cbs )

Remove a listener from a LinphoneAccount.

Parameters

  account | The LinphoneAccount object.
  cbs | LinphoneAccountCbs object to remove.

## linphone_account_reset_missed_calls_count()

void linphone_account_reset_missed_calls_count | ( | LinphoneAccount * | account | ) |

Re-sets the number of missed calls for this account to 0.

Parameters

  account | The LinphoneAccount object.

## linphone_account_set_contact_address()

void linphone_account_set_contact_address | ( | LinphoneAccount * | account,
|  | const LinphoneAddress * | addr )

Set the contact address for the account.

A client application should not use this function, as the Contact address is provided by the registrar in the 200 Ok. This function is mainly intended for server applications.

Parameters

  account | The LinphoneAccount object.
  addr | a LinphoneAddress to use as contact.

## linphone_account_set_custom_header()

void linphone_account_set_custom_header | ( | LinphoneAccount * | account,
|  | const char * | header_name,
|  | const char * | header_value )

Set the value of a custom header sent to the server in REGISTERs request.

Parameters

  account | The LinphoneAccount object.
  header_name | The header name.
  header_value | The header value.

## linphone_account_set_dependency()

void linphone_account_set_dependency | ( | LinphoneAccount * | account,
|  | LinphoneAccount * | depends_on )

Mark this account as being dependent on the given one.

The dependency must refer to an account previously added to the core and which idkey property is defined.

See also
  linphone_account_params_set_idkey()

The account marked as dependent will wait for successful registration on its dependency before triggering its own.

Once registered, both accounts will share the same contact address (the 'dependency' one).

This mecanism must be enabled before the account is added to the core

Parameters

  account | The LinphoneAccount object.
  depends_on | The LinphoneAccount this one shall be depending on.

## linphone_account_set_params()

int linphone_account_set_params | ( | LinphoneAccount * | account,
|  | LinphoneAccountParams * | params )

Set the LinphoneAccountParams used by this LinphoneAccount.

Parameters

  account | The LinphoneAccount object.
  params | The LinphoneAccountParams object.

## linphone_account_set_user_data()

void linphone_account_set_user_data | ( | LinphoneAccount * | account,
|  | void * | user_data )

Assign a user pointer to the account.

Parameters

  account | The LinphoneAccount object.
  user_data | The user data.

## linphone_account_unref()

void linphone_account_unref | ( | LinphoneAccount * | account | ) |

Release a LinphoneAccount.

Parameters

  account | The LinphoneAccount object.

## linphone_core_add_account()

LinphoneStatus linphone_core_add_account | ( | LinphoneCore * | core,
|  | LinphoneAccount * | account )

Add an account.

This will start registration on the proxy, if registration is enabled.

Parameters

  core | LinphoneCore object
  account | the LinphoneAccount to add

Returns
  0 if successful, -1 otherwise

## linphone_core_clear_accounts()

void linphone_core_clear_accounts | ( | LinphoneCore * | core | ) |

Erase all account from config.

Parameters

  core | LinphoneCore object

## linphone_core_create_account()

LinphoneAccount * linphone_core_create_account | ( | LinphoneCore * | core,
|  | LinphoneAccountParams * | params )

Create an account using given parameters, see linphone_core_create_account_params().

Parameters

  core | LinphoneCore object
  params | LinphoneAccountParams object

Returns
  LinphoneAccount with default values set

## linphone_core_create_account_params()

LinphoneAccountParams * linphone_core_create_account_params | ( | LinphoneCore * | core | ) |

Create an account params using default values from Linphone core.

Parameters

  core | LinphoneCore object

Returns
  LinphoneAccountParams with default values set

## linphone_core_get_account_by_idkey()

LinphoneAccount * linphone_core_get_account_by_idkey | ( | LinphoneCore * | core,
|  | const char * | idkey )

Search for a LinphoneAccount by it's idkey.

Parameters

  core | the LinphoneCore object
  idkey | An arbitrary idkey string associated to an account.

Returns
  the LinphoneAccount object for the given idkey value, or NULL if none found

## linphone_core_get_account_list()

const bctbx_list_t * linphone_core_get_account_list | ( | const LinphoneCore * | core | ) |

Returns an unmodifiable list of entered accounts.

Parameters

  core | The LinphoneCore object

Returns

## linphone_core_get_default_account()

LinphoneAccount * linphone_core_get_default_account | ( | const LinphoneCore * | core | ) |

Returns the default account, that is the one used to determine the current identity.

Parameters

  core | LinphoneCore object

Returns
  The default account.

## linphone_core_remove_account()

void linphone_core_remove_account | ( | LinphoneCore * | core,
|  | LinphoneAccount * | account )

Removes an account.

LinphoneCore will then automatically unregister and place the account on a deleted list. For that reason, a removed account does NOT need to be freed.

Parameters

  core | LinphoneCore object
  account | the LinphoneAccount to remove

## linphone_core_set_default_account()

void linphone_core_set_default_account | ( | LinphoneCore * | core,
|  | LinphoneAccount * | account )

Sets the default account.

This default account must be part of the list of already entered LinphoneAccount. Toggling it as default will make LinphoneCore use the identity associated with the account in all incoming and outgoing calls.

Parameters

  core | LinphoneCore object
  account | The account to use as the default one.